// Sticky Header on Scroll
window.onscroll = function() {
    var header = document.getElementById("main-header");
    if (window.pageYOffset > 50) {
        header.classList.add("sticky");
    } else {
        header.classList.remove("sticky");
    }
};

// Close Alert Footer
function closeAlert() {
    var alert = document.getElementById("alert");
    alert.style.display = "none";
}

let currentSlideIndex = 0;
const slides = document.querySelectorAll('.slide');
const dots = document.querySelectorAll('.dot');

function showSlide(index) {
    slides.forEach((slide, i) => {
        slide.classList.remove('active');
        dots[i].classList.remove('active');
    });
    slides[index].classList.add('active');
    dots[index].classList.add('active');
}

function nextSlide() {
    currentSlideIndex = (currentSlideIndex + 1) % slides.length;
    showSlide(currentSlideIndex);
}

function currentSlide(index) {
    currentSlideIndex = index;
    showSlide(index);
}

// Auto-slide every 3 seconds
setInterval(nextSlide, 3000);

// Initial slide
showSlide(currentSlideIndex);

document.addEventListener('DOMContentLoaded', function() {
    const otpInputs = document.querySelectorAll('.otp-input');
    otpInputs.forEach((input, index) => {
        input.addEventListener('input', (event) => {
            const value = event.target.value;
            if (value.length === 1 && index < otpInputs.length - 1) {
                otpInputs[index + 1].focus(); // Pindah ke input berikutnya
            }
        });

        input.addEventListener('keydown', (event) => {
            if (event.key === 'Backspace' && !input.value && index > 0) {
                otpInputs[index - 1].focus(); // Kembali ke input sebelumnya saat backspace
            }
        });
    });
});

function validatePhoneNumber() {
    var phoneInput = document.getElementById('nomor_telepon');
    var phoneValue = phoneInput.value.trim();

    // Ganti awalan '0' dengan '+62' jika nomor dimulai dengan 0
    if (phoneValue.startsWith('0')) {
        phoneInput.value = '+62' + phoneValue.substring(1); // Menggantikan '0' dengan '+62'
    } else if (!phoneValue.startsWith('+62')) {
        // Jika pengguna tidak memasukkan nomor dimulai dengan '0' atau '+62', tambahkan '+62'
        phoneInput.value = '+62' + phoneValue;
    }
}